Package org.eclipse.net4j.util.om.log

## Class OSGiLoggingBridge

- java.lang.Object
- - org.eclipse.net4j.util.om.log.OSGiLoggingBridge

- All Implemented Interfaces:
    `OMLogHandler`

      @Deprecated
      public class OSGiLoggingBridge
      extends java.lang.Object
      implements OMLogHandler

  Deprecated.
  As of 4.7 use `OSGiLogHandler`.
  A `log handler` that appends log events to the OSGi `log service`.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static OSGiLoggingBridge` | `INSTANCE` | Deprecated.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `OSGiLoggingBridge()` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.osgi.service.log.LogService` | `getLogService​(org.osgi.framework.BundleContext bundleContext)` | Deprecated.
    `void` | `logged​(OMLogger logger, OMLogger.Level level, java.lang.String msg, java.lang.Throwable t)` | Deprecated.
    `void` | `logged​(org.osgi.framework.BundleContext bundleContext, OMLogger.Level level, java.lang.String msg, java.lang.Throwable t)` | Deprecated.
    `static int` | `toOSGi​(OMLogger.Level level)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final OSGiLoggingBridge INSTANCE

      Deprecated.

  - ### Constructor Detail

    - #### OSGiLoggingBridge

          protected OSGiLoggingBridge()

      Deprecated.

  - ### Method Detail

    - #### logged

          public void logged​(OMLogger logger,
                             OMLogger.Level level,
                             java.lang.String msg,
                             java.lang.Throwable t)

      Deprecated.
      Specified by:
        `logged` in interface `OMLogHandler`

    - #### logged

          public void logged​(org.osgi.framework.BundleContext bundleContext,
                             OMLogger.Level level,
                             java.lang.String msg,
                             java.lang.Throwable t)

      Deprecated.

    - #### getLogService

          protected org.osgi.service.log.LogService getLogService​(org.osgi.framework.BundleContext bundleContext)

      Deprecated.

    - #### toOSGi

          public static int toOSGi​(OMLogger.Level level)

      Deprecated.